Arch Frame
|
Menu location |
---|
Arch → Frame |
Workbenches |
Arch |
Default shortcut |
F R |
Introduced in version |
- |
See also |
Arch Wall, Arch Structure |
Description
The Arch Frame tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a sketch, or a Draft object. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into wall or structure objects.
Frame object created from a Draft OrthoArray of a Draft Line, using a Draft Circle as profile
Usage
- Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench.
- Select the layout object first, then, with Ctrl pressed, select the profile object.
- Press the
Arch Frame button, or press F then R keys.
Options
- Frames share the common properties and behaviours of all Arch Components
- The frame object can be placed at a certain distance from the layout object, by setting its Offset property
- The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
Properties
- DataBase: The layout this frame is based on.
- DataProfile: The profile this frame is based on.
- DataAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
- DataOffset: An optional distance between the layout object and the frame object.
- DataRotation: The rotation of the profile around its extrusion axis.
Scripting
See also: Arch API and FreeCAD Scripting Basics.
The Frame tool can be used in macros and from the Python console by using the following function:
Frame = makeFrame(baseobj, profile)
- Creates a
Frame
object from the givenbaseobj
andprofile
.baseobj
is any object containing wires, like a Draft Wire, or a Draft OrthoArray with a collection of them.profile
is an extrudable 2D object containing faces or closed wires.
Example:
import Draft, Arch
Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)
profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub